;	 GLOWING SCREEN GENERATOR
; 	by WhiteYoshiEgg

; This sprite basically makes the screen "glow" (change its brightness
; after a certain pattern). Yep, that's all there is to it.
; The brigthness values itself can be changed at the bottom of this file.

; Credit not needed, but if you really want to credit me, go ahead.


	!NmbOfVls = $07
; The amount of different brightness values to cycle through, minus one.
; (By default it's $07 = 8 values).

; NOTE 1: The only valid numbers here are $01, $03, $07, $0F, $1F, $3F and $7F!
; NOTE 2: If your change this, make sure to change the length of the table below
;         accordingly!





print "INIT ",pc

	LDA #$0A	;  \ Store #$0A to a timer that
	STA $1564,x	;  / decremets every frame
	RTL



print "MAIN ",pc

	PHB : PHK : PLB : JSR MainCode : PLB : RTL : MainCode:

	LDA $1564,x	; \  Only do something when the timer's
	BNE Return	;  | already at zero (otherwise the mosaic
			; /  won't disappear)

	PHX

	LDA $14		;    Frame counter
	LSR		; \  Slow things down
	LSR		;  | (You can add/remove some LSRs here
	LSR		; /  to change the speed)
	AND #!NmbOfVls	;    Make it a number between 0 and !NmbOfVls
	TAX

	LDA Brightness,x;  \ Store value from the table
	STA $0DAE	;  / to brightness mirror

	PLX

Return:
	RTS		;     This is the end.



;	Below is the table with the brightness values.
;	($0F = max. brightness, $00 = black screen)

;	Make sure this table has the same amount of values
;	as !MnbOfVls plus one!
;	Ex.: If !NmbOfVls = $03, this table must have 4 values.
;	By default, !NmbOfVls is $07, so this has 8 values.


Brightness:
	db $0F,$0E,$0D,$0C,$0C,$0D,$0E,$0F


